EDIT - bug #8149

ReferenceEditor: filter inReferences ONLY by applicable reference type suppess Generic and NULL
02/27/2019 10:34 AM - Wolf-Henning Kusber

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.6

Severity: normal Found in Version:

Description

In reference type = article

Drop down of Journals should only search for entries = journal (not for all references)

Reference

Date published
==

Author(s)

In journal

Volume

Related issues:
Related to EDIT - bug #7481: ReferenceEditor: filter inReferences by applicab... Closed

Has duplicate EDIT - bug #8152: ReferencePopupEditor: inReference field allow... Duplicate

Associated revisions

Revision 27820075 - 03/22/2019 06:42 PM - Andreas Kohlbecker
fix #8149 inclusion of NULL and Genric ref types optional and fixing bugy refresh

Revision 68d2ffb7 - 03/22/2019 07:21 PM - Andreas Kohlbecker
fix #8149 inclusion of NULL and Genric ref types optional and fixing bugy refresh

History

04/19/2024 12



#1 - 02/28/2019 03:05 PM - Andreas Kohlbecker

- Has duplicate bug #8152: ReferencePopupEditor: inReference field allows to select references with type GEN but field validation fails in this case

added

#2 - 02/28/2019 03:05 PM - Andreas Kohlbecker

- Subject changed from Reference editor to ReferenceEditor: filter inReferences by applicable reference type

#3 - 02/28/2019 03:06 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.6

#4 - 02/28/2019 03:09 PM - Andreas Kohlbecker

- Subject changed from ReferenceEditor: filter inReferences by applicable reference type to ReferenceEditor: filter inReferences ONLY by applicable

reference type suppess Generic and NULL

#5 - 02/28/2019 03:10 PM - Andreas Kohlbecker
- Related to bug #7481: ReferenceEditor: filter inReferences by applicable reference type added

#6 - 03/11/2019 01:41 PM - Wolf-Henning Kusber

- Tracker changed from feature request to bug

Related problem:

if e.g. "Phytotaxa" is tiped into the dopdown menue field, "Phytotaxa" is not selected, | have to scoll down the alpabetic list of all references, the last

one after Z is "Phytotaxa". Please check.

#7 - 03/22/2019 07:18 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|27820075a6585b46648a6f1dcd4241a6b45596d8.

#8 - 03/22/2019 07:20 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

please review

#9 - 03/26/2019 03:57 PM - Andreas Kohlbecker
- Status changed from Resolved to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100

Henning, says this is tested and works as expected.
